# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Perl module for resolving POD escape sequences
Name:		perl-Pod-Escapes
Version:	1.04
Release:	8.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Pod-Escapes/
Source0:	http://search.cpan.org/CPAN/authors/id/S/SB/SBURKE/Pod-Escapes-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(ExtUtils::MakeMaker)

%description
This module provides things that are useful in decoding Pod E<...> sequences.
Presumably, it should be used only by Pod parsers and/or formatters.

By default, Pod::Escapes exports none of its symbols. But you can request any
of them to be exported. Either request them individually, as with use
Pod::Escapes qw(symbolname symbolname2...);, or you can do use
Pod::Escapes qw(:ALL); to get all exportable symbols.

%prep
%setup -q -n Pod-Escapes-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%files
%defattr(-,root,root,-)
%doc README ChangeLog
%{perl_vendorlib}/Pod/Escapes.pm
%{_mandir}/man3/Pod::Escapes.3pm*

%changelog
* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 1.04-8
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> 1.04-7
- Fix dist tag to work with RHEL6 Beta

* Tue Mar  2 2010 Paul Howarth <paul@city-fan.org> 1.04-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 22 2009 Paul Howarth <paul@city-fan.org> 1.04-5
- Define RPM macros in global scope

* Wed Nov  5 2008 Paul Howarth <paul@city-fan.org> 1.04-4
- No need to set CFLAGS when building a noarch package
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Sat Mar 17 2007 Paul Howarth <paul@city-fan.org> 1.04-3
- Fix dist tag for development releases, CentOS, and Fedora 7 onwards
- Remove buildroot unconditionally in %%clean and %%install
- No need for %%{perl_vendorarch} macro in noarch package
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- Define %%{__id_u} in a more portable way
- Add buildreq perl(ExtUtils::MakeMaker)

* Tue May 31 2005 Paul Howarth <paul@city-fan.org> 1.04-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.04-1
- Initial build
